Bug 1024539 - Editing an oVirt compute resource allows changing the type, which is unsupported
Editing an oVirt compute resource allows changing the type, which is unsupported
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: jmagen@redhat.com
sthirugn@redhat.com
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 17:36 EDT by Dominic Cleal
Modified: 2017-02-23 16:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 01:07:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 3544 None None None 2016-04-22 12:09 EDT

  None (edit)
Description Dominic Cleal 2013-10-29 17:36:42 EDT
Description of problem:
When editing compute resources of certain types (e.g. EC2 and oVirt), the form allows the user to change the CR type to another.  This is unsupported on existing CRs as VM UUIDs will change and CR attributes don't get updated properly.  Some CR types (e.g. libvirt) correctly have it disabled.  This option should be disabled consistently.

Version-Release number of selected component (if applicable):
foreman-1.3.0-20.el6sat

How reproducible:
Always

Steps to Reproduce:
1. More>Provisioning>Compute Resources, create a new oVirt compute resource
2. Edit the existing compute resource
3. Check if the type can be changed to another (e.g. EC2)

Actual results:
Type dropdown menu is not disabled, allows changing it (perhaps with an error on save).

Expected results:
Type dropdown is greyed out and disabled.

Additional info:
The dropdown is disabled based on "f.object.uuid.present?", however not all CR types have UUIDs.  It should probably be .new_record?.
Comment 3 jmagen@redhat.com 2014-05-25 09:29:18 EDT
https://github.com/theforeman/foreman/pull/1476
Comment 4 Bryan Kearney 2014-09-17 12:01:30 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/3544 has been closed
-------------
Joseph Magen
https://github.com/theforeman/foreman/pull/1476
-------------
Joseph Magen
Applied in changeset commit:7e74d71b314b97c70c4b08194cfdbccacbb4768c.
Comment 5 sthirugn@redhat.com 2014-10-10 16:38:26 EDT
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Version Tested:
Nightly Oct 10, 2014
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.32-1.el6.noarch
* candlepin-common-1.0.8-1.el6.noarch
* candlepin-selinux-0.9.32-1.el6.noarch
* candlepin-tomcat6-0.9.32-1.el6.noarch
* elasticsearch-0.90.10-7.el6.noarch
* foreman-1.7.0-0.develop.201410091913git35b6fb9.el6.noarch
* foreman-compute-1.7.0-0.develop.201410091913git35b6fb9.el6.noarch
* foreman-gce-1.7.0-0.develop.201410091913git35b6fb9.el6.noarch
* foreman-libvirt-1.7.0-0.develop.201410091913git35b6fb9.el6.noarch
* foreman-ovirt-1.7.0-0.develop.201410091913git35b6fb9.el6.noarch
* foreman-postgresql-1.7.0-0.develop.201410091913git35b6fb9.el6.noarch
* foreman-proxy-1.7.0-0.develop.201410081229git52f0bac.el6.noarch
* foreman-release-1.7.0-0.develop.201410091913git35b6fb9.el6.noarch
* foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el6.noarch
* foreman-vmware-1.7.0-0.develop.201410091913git35b6fb9.el6.noarch
* katello-2.1.0-1.201410091751gitc9c45c1.el6.noarch
* katello-certs-tools-2.0.1-1.el6.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-2.1.0-1.201410021645git304e036.el6.noarch
* katello-repos-2.1.1-1.el6.noarch
* katello-server-ca-1.0-1.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-docker-plugins-0.2.1-0.2.beta.el6.noarch
* pulp-katello-0.3-3.el6.noarch
* pulp-nodes-common-2.5.0-0.7.beta.el6.noarch
* pulp-nodes-parent-2.5.0-0.7.beta.el6.noarch
* pulp-puppet-plugins-2.5.0-0.7.beta.el6.noarch
* pulp-puppet-tools-2.5.0-0.7.beta.el6.noarch
* pulp-rpm-plugins-2.5.0-0.7.beta.el6.noarch
* pulp-selinux-2.5.0-0.7.beta.el6.noarch
* pulp-server-2.5.0-0.7.beta.el6.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.3.1-1.el6.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6.noarch
* ruby193-rubygem-runcible-1.2.0-1.el6.noarch
Comment 6 Bryan Kearney 2015-08-11 09:28:19 EDT
This bug is slated to be released with Satellite 6.1.
Comment 7 errata-xmlrpc 2015-08-12 01:07:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592

Note You need to log in before you can comment on or make changes to this bug.